Update Universe
Update the universe metadata
Request
The response will not be in JSON format.
Response will contain the Content-Type: header.
Request Body
namestringName of the universe.
Example: "Tech Asian companies"typestring (enum)Universe visibility and access level.
-
PRIVATE: visible and manageable by the owner only. -
SHARED: visible to the owner and company members, manageable by the owner. -
SESAMM: visible to company members, not manageable.
-
descriptionstring | nullDescription of the universe
Example: "The Asian companies that are in the Tech sector"owneruuidIdentifier of the user who will own the universe.
companyuuidIdentifier of the company the universe is shared with. Warning: Overwrites all the links to other companies.
{
"name": "Tech Asian companies",
"type": "PRIVATE",
"description": "The Asian companies that are in the Tech sector",
"owner": "00000000-0000-0000-0000-000000000000",
"company": "00000000-0000-0000-0000-000000000000"
}Response
Error
Bad request
message*stringError message.
Example: "Check the errors field for more details"code*number (enum)Error code.
Values: 400reason*string (enum)Error reason.
Values: "invalid"errorsobject[]Possible error causes.
{
"message": "Check the errors field for more details",
"code": 400,
"reason": "invalid",
"errors": [
{
"message": "string",
"field": "name",
"reason": "invalid_type"
}
]
}Forbidden
message*stringError message.
Example: "You are not allowed to update this universe"code*number (enum)Error code.
Values: 403reason*string (enum)Error reason.
Values: "forbidden"
{
"message": "You are not allowed to update this universe",
"code": 403,
"reason": "forbidden"
}Not found
message*stringError message.
Example: "The requested universe does not exist or is not visible to your company."code*number (enum)Error code.
Values: 404reason*string (enum)Error reason.
Values: "not_found"
{
"message": "The requested universe does not exist or is not visible to your company.",
"code": 404,
"reason": "not_found"
}Generic errors are not shown, see Errors for more details.